Skip to main content

Supported products

Requires one of the following products or higher.
Marketing HubMarketing Hub -Starter
Sales HubSales Hub -Starter
Service HubService Hub -Starter
Content HubContent Hub -Starter
Data HubData Hub -Starter
Use subtasks to track multiple steps required to complete a main task. You can use the tasks API to create up to 30 subtasks associated with an existing task. Subtasks use the same properties and permissions as main tasks. Refer to the tasks API guide for more details about creating and managing tasks via API.
Please note: At this time, subtasks are only supported for main tasks created on projects. To use subtasks, a HubSpot account must be enrolled in the Subtasks beta and have the project object activated.To view subtasks on projects within a HubSpot account, the account must also be enrolled in the Flexible CRM Views beta. Learn more about using subtasks with projects in HubSpot.

Create a project subtask

To create a subtask, make a POST request to /crm/v3/objects/tasks. In the request body, specify the subtask details in the properties object and associate it with the parent task in the associations array.
FieldDescription
propertiesThe subtask’s details. Subtasks use the same properties as other tasks, so you can set values for the default task properties when creating the subtask. You must include at least hs_timestamp (the subtask’s due date), but hs_task_subject (title) or hs_task_body (notes) are recommended to describe the subtask.
associationsIndicates the task with which the subtask will be associated. For the to field, include the id of the main task. To indicate that you’re associating a subtask to a task in the types object, the associationCategory is HUBSPOT_DEFINED and the associationTypeId is 1313.
For example, to create a subtask and associate it with a main task with the ID 12345, your request would look similar to:
{
  "properties": {
    "hs_timestamp": "2019-10-30T03:30:17.883Z",
    "hs_task_body": "Send Proposal",
    "hubspot_owner_id": "64492917",
    "hs_task_subject": "Follow-up for Brian Buyer",
    "hs_task_status": "WAITING",
    "hs_task_priority": "HIGH",
    "hs_task_type": "CALL"
  },
  "associations": [
    {
      "to": {
        "id": 12345
      },
      "types": [
        {
          "associationCategory": "HUBSPOT_DEFINED",
          "associationTypeId": 1313
        }
      ]
    }
  ]
}
Last modified on January 28, 2026